Get Many Organizations
Bad Request
Unauthorized
Forbidden
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/organization?select=SOME_ARRAY_VALUE&filters=SOME_OBJECT_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE&sort=SOME_OBJECT_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": [
- {
- "id": "string",
- "name": "string",
- "description": "string",
- "address": "string",
- "orgNumber": "string",
- "invoiceAddress": "string",
- "invoiceEmail": "string",
- "companyVAT": "string"
}
], - "total": 500,
- "count": 50,
- "offset": 50,
- "relations": { }
}Create One Organization
Bad Request
Unauthorized
Forbidden
Internal server error
{- "name": "string",
- "description": "string",
- "address": "string",
- "orgNumber": "string",
- "invoiceAddress": "string",
- "invoiceEmail": "string",
- "companyVAT": "string"
}{- "status": "ok",
- "data": {
- "id": "string",
- "name": "string",
- "description": "string",
- "address": "string",
- "orgNumber": "string",
- "invoiceAddress": "string",
- "invoiceEmail": "string",
- "companyVAT": "string"
}
}Get One Organization
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/organization/507f1f77bcf86cd799439011?select=SOME_ARRAY_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": {
- "id": "string",
- "name": "string",
- "description": "string",
- "address": "string",
- "orgNumber": "string",
- "invoiceAddress": "string",
- "invoiceEmail": "string",
- "companyVAT": "string"
}, - "relations": { }
}Update One Organization
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "name": "string",
- "description": "string",
- "address": "string",
- "orgNumber": "string",
- "invoiceAddress": "string",
- "invoiceEmail": "string",
- "companyVAT": "string"
}{- "status": "ok",
- "data": {
- "id": "string",
- "name": "string",
- "description": "string",
- "address": "string",
- "orgNumber": "string",
- "invoiceAddress": "string",
- "invoiceEmail": "string",
- "companyVAT": "string"
}
}Replace One Organization
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "name": "string",
- "description": "string",
- "address": "string",
- "orgNumber": "string",
- "invoiceAddress": "string",
- "invoiceEmail": "string",
- "companyVAT": "string"
}{- "status": "ok",
- "data": {
- "id": "string",
- "name": "string",
- "description": "string",
- "address": "string",
- "orgNumber": "string",
- "invoiceAddress": "string",
- "invoiceEmail": "string",
- "companyVAT": "string"
}
}Delete One Organization
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request DELETE \ --url https://api.alexishr.com/v1/organization/507f1f77bcf86cd799439011 \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": { }
}